Extending Qt Creator Manual | BreakpointModelId

Extending Qt Creator Manual 4.7.1

# BreakpointModelId Class

(Debugger::Internal::BreakpointModelId)

Header: | #include <BreakpointModelId>
Inherits: | Debugger::Internal::BreakpointIdBase

- List of all members, including inherited members

## Public Functions

| BreakpointModelId()
| BreakpointModelId(int ma)
| BreakpointModelId(int ma, int mi)
| BreakpointModelId(const int &ba)

- 10 public functions inherited from Debugger::Internal::BreakpointIdBase

## Detailed Description

This identifies a breakpoint in the `BreakHandler`. The major parts are strictly increasing over time.

The minor part identifies a multiple breakpoint set for example by gdb in constructors.

## Member Function Documentation

### BreakpointModelId::BreakpointModelId()

Default constructs an instance of BreakpointModelId.

### BreakpointModelId::BreakpointModelId(int ma)

Default constructs an instance of BreakpointModelId.

### BreakpointModelId::BreakpointModelId(int ma, int mi)

Default constructs an instance of BreakpointModelId.

### BreakpointModelId::BreakpointModelId(const int &ba)

Default constructs an instance of BreakpointModelId.